Bug 1911836 - Cannot boot kernel 5.10 on Silverblue
Summary: Cannot boot kernel 5.10 on Silverblue
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 33
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-31 16:46 UTC by Stanislav Graf
Modified: 2021-11-30 17:42 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 17:42:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Stanislav Graf 2020-12-31 16:46:28 UTC
1. Please describe the problem:

I cannot boot with kernel 5.10 on Fedora Silverblue.
The boot process is stuck on attempt to mount root filesystem:
"A start job is running for /dev/disk/by-uuid/..."

2. What is the Version-Release number of the kernel:

5.10.4-200.fc33.x86_64

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

All 5.9.x works for me. Any 5.10 kernel from koji is broken.

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

rpm-ostree override replace kernel-5.10.4-200.fc33.x86_64.rpm kernel-core-5.10.4-200.fc33.x86_64.rpm kernel-devel-5.10.4-200.fc33.x86_64.rpm kernel-modules-5.10.4-200.fc33.x86_64.rpm kernel-modules-extra-5.10.4-200.fc33.x86_64.rpm

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

I haven't tested 5.11 rawhide kernels yet.

6. Are you running any modules that not shipped with directly Fedora's kernel?:

No.

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

I don't have saved logs since rootfs isn't mounted.

8. Notes:

* This is silverblue specific. I can boot this on Fedora Workstation
* Behaves the same on a system with or without luks (disk encryption)
* Happens on both VM or host itself
* Can this be related to Bug 1900061 ?

Comment 1 Stanislav Graf 2021-01-07 21:12:28 UTC
Still broken for me with kernel-5.10.5-200.fc33

Comment 2 Evan Anderson 2021-01-08 22:47:52 UTC
I can confirm this on my existing bare metal Silverblue installation and on a fresh VM Silverblue installation with disk encryption enabled. I can't reproduce it with an unencrypted installation.

The kernel comes up fine, but systemd is stuck waiting for the disk, and the disk decryption prompt is never shown.

Comment 3 Evan Anderson 2021-01-08 23:56:24 UTC
I can also reproduce this issue using rawhide kernel 5.11.0-0.rc2.114.fc34.x86_64.

Comment 4 Evan Anderson 2021-01-14 22:21:06 UTC
I'm no longer able to reproduce this issue in the released version of 5.10.6-200.fc33.x86_64.

Comment 5 Stanislav Graf 2021-01-15 07:55:46 UTC
(In reply to Evan Anderson from comment #4)
> I'm no longer able to reproduce this issue in the released version of
> 5.10.6-200.fc33.x86_64.

The same here. All works as expected now!

Comment 6 Ben Cotton 2021-11-04 16:18:40 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2021-11-30 17:42:40 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.